%global momorel 1

Summary: Class Library for Numbers
Name: cln
Version: 1.1.11
Release: %{momorel}m
License: GPL
URL: http://www.ginac.de/CLN/
Group: System Environment/Libraries
%NoSource 0 http://www.ginac.de/CLN/cln-%{version}.tar.bz2 7313dc20608ddc5dcfdae4d2f9138762 
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: info

%description
A GPLed collection of math classes and functions, that will bring
efficiency, type safety, algebraic syntax to everyone in a memory
and speed efficient library.

%package devel
Summary: Development files for programs using the CLN library
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
This package is necessary if you wish to develop software based on
the CLN library.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_datadir}/dvi
rm -rf %{buildroot}%{_datadir}/html
rm -rf %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/cln.info --dir-file=%{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/cln.info --dir-file=%{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc COPYING ChangeLog FILES NEWS README TODO*
%doc doc examples
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc 
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/cln.pc
%{_includedir}/cln
%{_infodir}/*.info*
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/aclocal/cln.m4

%changelog
* Wed May 17 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.11-1m)
- import to Momonga for octave-forge

* Wed Apr 19 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.11-0.0.1m)
- update to 1.1.11

* Sun Feb 22 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.1.6-0.0.1m)
- build for Momonga
- modified src.rpm at ftp://ftpthep.physik.uni-mainz.de/pub/gnu/

* Thu Nov 20 2003 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added pkg-config metadata file to devel package
* Wed Nov  6 2002 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added HTML and DVI docs to devel package
* Tue Nov  5 2001 Christian Bauer <Christian.Bauer@uni-mainz.de>
  Added Packager
